<html>
<head>
<title>OGRE: Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<h1>Ogre::Texture Member List</h1>This is the complete list of members for <a class="el" href="classOgre_1_1Texture.html">Ogre::Texture</a>, including all inherited members.<p><table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#f53b1f86d73503ec336f3a21b491f59b">_fireBackgroundLoadingComplete</a>(void)</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Texture.html#13fc432584dd44c2969a8e41bdca569c">_loadImages</a>(const ConstImagePtrList &amp;images)</td><td><a class="el" href="classOgre_1_1Texture.html">Ogre::Texture</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#7e248a1cca0662418d4ab3f63c2e7cf6">_notifyOrigin</a>(const String &amp;origin)</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#27713fbf67e85e0da2fe4c07c37bddf8">addListener</a>(Listener *lis)</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Texture.html#a98e3e83764aeb0dddc57e1c1dac7f43">calculateSize</a>(void) const </td><td><a class="el" href="classOgre_1_1Texture.html">Ogre::Texture</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#f86a189bd81f8770750443ec906eff6f">changeGroupOwnership</a>(const String &amp;newGroup)</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#1bea65fa2b3c2ac5a9f3be59b46a80e8">cleanupDictionary</a>()</td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#702af78cbc4869e64c369fb11c4f1eb5">copyParametersTo</a>(StringInterface *dest) const </td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Texture.html#017b0d0590ce4afc079f2f1f85a686b8">copyToTexture</a>(TexturePtr &amp;target)</td><td><a class="el" href="classOgre_1_1Texture.html">Ogre::Texture</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Texture.html#906f16bb83aecba3b1204d62308e419d">createInternalResources</a>(void)</td><td><a class="el" href="classOgre_1_1Texture.html">Ogre::Texture</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Texture.html#e9be8185e9b93c78d325db8e3693c26b">createInternalResourcesImpl</a>(void)=0</td><td><a class="el" href="classOgre_1_1Texture.html">Ogre::Texture</a></td><td><code> [protected, pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#681773443d95aea05a486c5d22c15bd1">createParamDictionary</a>(const String &amp;className)</td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#4a423d5fcac9fce32bf1c497653cd2ac">escalateLoading</a>()</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Texture.html#43fa847c09ec75de76555dd648e95420">freeInternalResources</a>(void)</td><td><a class="el" href="classOgre_1_1Texture.html">Ogre::Texture</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Texture.html#83c176c3f4d01d35cb4d4ee46af7cefa">freeInternalResourcesImpl</a>(void)=0</td><td><a class="el" href="classOgre_1_1Texture.html">Ogre::Texture</a></td><td><code> [protected, pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Texture.html#5df1d413ab5aab631adc59c9fac06d22">getBuffer</a>(size_t face=0, size_t mipmap=0)=0</td><td><a class="el" href="classOgre_1_1Texture.html">Ogre::Texture</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#b6e377a3964d566ea112fe63bf1d7678">getCreator</a>(void)</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Texture.html#08698c8524b74c8303927f665f36e827">getDepth</a>(void) const </td><td><a class="el" href="classOgre_1_1Texture.html">Ogre::Texture</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Texture.html#8b4352d54f63d4c0f29d45fca8d11c2a">getDesiredFloatBitDepth</a>(void) const </td><td><a class="el" href="classOgre_1_1Texture.html">Ogre::Texture</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Texture.html#01e66834e5af4ac5d24222d24c09a9ca">getDesiredFormat</a>(void) const </td><td><a class="el" href="classOgre_1_1Texture.html">Ogre::Texture</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Texture.html#2e81c09207d2c2293d1d343fa49050aa">getDesiredIntegerBitDepth</a>(void) const </td><td><a class="el" href="classOgre_1_1Texture.html">Ogre::Texture</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Texture.html#91a5ec6b7cae49a1f7aa05b7beac966b">getFormat</a>() const </td><td><a class="el" href="classOgre_1_1Texture.html">Ogre::Texture</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Texture.html#ae8fa69ad2ea0d4b84c85d280197953b">getGamma</a>(void) const </td><td><a class="el" href="classOgre_1_1Texture.html">Ogre::Texture</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#980cb848898544602746e82ffe5afe1b">getGroup</a>(void)</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#efd258479b788213275bbe1b54b52f85">getHandle</a>(void) const </td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Texture.html#487fd460a132f1c4097ec1f6d2e7c37c">getHeight</a>(void) const </td><td><a class="el" href="classOgre_1_1Texture.html">Ogre::Texture</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#8408ffbd3ddfaac116e8565d2163975a">getLoadingState</a>() const </td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Texture.html#3435f815f90fdf90e3c28393125e3168">getMipmapsHardwareGenerated</a>(void) const </td><td><a class="el" href="classOgre_1_1Texture.html">Ogre::Texture</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#c53229433c56a309c72da721b15d37ef">getName</a>(void) const </td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Texture.html#993be9937ba0abe4c2d663b9105409d1">getNumFaces</a>() const </td><td><a class="el" href="classOgre_1_1Texture.html">Ogre::Texture</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Texture.html#73913a082bfc8f1e3de44441df92308a">getNumMipmaps</a>(void) const </td><td><a class="el" href="classOgre_1_1Texture.html">Ogre::Texture</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#45bc7dcdc46cb3fa7c12140cc57b5611">getOrigin</a>(void) const </td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#e3e13925bde11db245f6c9bbf5031a93">getParamDictionary</a>(void)</td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#3bfa7791753a155b222dfb2706e5218c">getParamDictionary</a>(void) const </td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#57397ce47f649e66c5654da05207df0b">getParameter</a>(const String &amp;name) const </td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#dfedfcc90e1d602ec6fa646d4d90f17f">getParameters</a>(void) const </td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#965e3586c6755f89259d1031a14523d7">getSize</a>(void) const </td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Texture.html#9037f86414b57597677ea98d66c40001">getSrcDepth</a>(void) const </td><td><a class="el" href="classOgre_1_1Texture.html">Ogre::Texture</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Texture.html#d4dccbd257ef80d031b4d9e72ca08164">getSrcFormat</a>(void) const </td><td><a class="el" href="classOgre_1_1Texture.html">Ogre::Texture</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Texture.html#772f4bd16b6b629f16f112926be4d460">getSrcHeight</a>(void) const </td><td><a class="el" href="classOgre_1_1Texture.html">Ogre::Texture</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Texture.html#8637d1b6b0c6b17c10dbe0bc65ce8dc4">getSrcWidth</a>(void) const </td><td><a class="el" href="classOgre_1_1Texture.html">Ogre::Texture</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Texture.html#3db3e97f86e298f79fd09e511f572cc1">getTextureType</a>(void) const </td><td><a class="el" href="classOgre_1_1Texture.html">Ogre::Texture</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Texture.html#48c9409feb73321926930d064a2a3aa9">getTreatLuminanceAsAlpha</a>(void) const </td><td><a class="el" href="classOgre_1_1Texture.html">Ogre::Texture</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Texture.html#5544f33879e292ff3d0c6fb13129ba0d">getUsage</a>() const </td><td><a class="el" href="classOgre_1_1Texture.html">Ogre::Texture</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Texture.html#68051f56bb8d87ce19640a8026586207">getWidth</a>(void) const </td><td><a class="el" href="classOgre_1_1Texture.html">Ogre::Texture</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Texture.html#4769c21c8e7e73f9d45344bf96d38d17">hasAlpha</a>(void) const </td><td><a class="el" href="classOgre_1_1Texture.html">Ogre::Texture</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#da62272e0e10c5ca5f619a2cdc348594">isBackgroundLoaded</a>(void) const </td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a2de2f45c5e800d11b3b2d5119d53eab">isLoaded</a>(void) const </td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a2e265ae571e26eb5e2c57a5fe17ad9c">isLoading</a>() const </td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#784ac37435bd89e6e0e31e58e8da22bf">isManuallyLoaded</a>(void) const </td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#adcaa41accf6256ecf6c402e4839c0e9">isReloadable</a>(void) const </td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#edf85fc311b08d402ec8bcdb145fdfd1">ListenerList</a> typedef</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#699d1c851f494a8d5d23d23b695ceb47">load</a>(bool backgroundThread=false)</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Texture.html#c129cc0a773f0d9d0eb4c3c1a1b65618">loadImage</a>(const Image &amp;img)</td><td><a class="el" href="classOgre_1_1Texture.html">Ogre::Texture</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#edac2886ca15f5f2c43ab2c272998fbf">loadImpl</a>(void)=0</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [protected, pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#07e619aa09d3bc6789a6667cb4fc572c">LoadingState</a> enum name</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Texture.html#1d84784891731ee66945ffbc3b31e35b">loadRawData</a>(DataStreamPtr &amp;stream, ushort uWidth, ushort uHeight, PixelFormat eFormat)</td><td><a class="el" href="classOgre_1_1Texture.html">Ogre::Texture</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#07e619aa09d3bc6789a6667cb4fc572ca38cbef7605fc4bff6da2f34599ace8f">LOADSTATE_LOADED</a> enum value</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#07e619aa09d3bc6789a6667cb4fc572cf138fc9087e0dc755bff08a83720cbb5">LOADSTATE_LOADING</a> enum value</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#07e619aa09d3bc6789a6667cb4fc572c28d463296cacdfc115dbc3fb02d00e94">LOADSTATE_UNLOADED</a> enum value</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#07e619aa09d3bc6789a6667cb4fc572c4228d390b3a9ed614001db177d1f441e">LOADSTATE_UNLOADING</a> enum value</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#79c8dbcaa3f5359186352418383e1046">mCreator</a></td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Texture.html#55f60f21398b55836e13a692b90dd736">mDepth</a></td><td><a class="el" href="classOgre_1_1Texture.html">Ogre::Texture</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Texture.html#a06a0be1885e8ff96fde33277140e46f">mDesiredFloatBitDepth</a></td><td><a class="el" href="classOgre_1_1Texture.html">Ogre::Texture</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Texture.html#4c9e046e633bacb741cbe2518dfbc649">mDesiredFormat</a></td><td><a class="el" href="classOgre_1_1Texture.html">Ogre::Texture</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Texture.html#1797d9ab733702d0c0b05ba3fd6f1584">mDesiredIntegerBitDepth</a></td><td><a class="el" href="classOgre_1_1Texture.html">Ogre::Texture</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Texture.html#74872f190e8c6d2da750c03698ad73fd">mFormat</a></td><td><a class="el" href="classOgre_1_1Texture.html">Ogre::Texture</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Texture.html#91414bf8610084680cc21144c93e34ca">mGamma</a></td><td><a class="el" href="classOgre_1_1Texture.html">Ogre::Texture</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#416b0fb05b6c9f03e11d0d8c4e2cbeea">mGroup</a></td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#269fd910e51c66290e0ffe5c2ac134d3">mHandle</a></td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Texture.html#05ffc612f2d228396455f429325d99d4">mHeight</a></td><td><a class="el" href="classOgre_1_1Texture.html">Ogre::Texture</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Texture.html#e5bc056fc6cc83ae12cf2a3d0786e87b">mInternalResourcesCreated</a></td><td><a class="el" href="classOgre_1_1Texture.html">Ogre::Texture</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#6b9f18275f5f5a4dc3b83f23027a5d78">mIsBackgroundLoaded</a></td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#14dce433a68055e7683aa872c197d1d8">mIsManual</a></td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#94e78b7ae5be758c317ae1e8c4e14f1b">mListenerList</a></td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#11c91bed31936b5dec39e30d77498470">mLoader</a></td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#170f4e3111f1338b45bf55d2f497a4be">mLoadingState</a></td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Texture.html#78c173eadbdbce6c766632a40fc0363c">mMipmapsHardwareGenerated</a></td><td><a class="el" href="classOgre_1_1Texture.html">Ogre::Texture</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#18a3db85a240eda9dfe741a46f2c01c9">mName</a></td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Texture.html#6b82c3ed419e91a11bd9d0063df83ed9">mNumMipmaps</a></td><td><a class="el" href="classOgre_1_1Texture.html">Ogre::Texture</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Texture.html#6958c92e9f0e66c4a3d132ed273ea319">mNumRequestedMipmaps</a></td><td><a class="el" href="classOgre_1_1Texture.html">Ogre::Texture</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#342fcd2c8c95309e12dea3c699f91c15">mOrigin</a></td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#baa2b2c02f22cff7a65ba43b4daea538">mParamDictName</a></td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#5e08eb863343f9c60f6ef9344a48075b">msDictionary</a></td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#fdef34c49ee7a3b256672e3e4b183142">mSize</a></td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Texture.html#402d51a2ed86cbef7469f3d6be6d3c01">mSrcDepth</a></td><td><a class="el" href="classOgre_1_1Texture.html">Ogre::Texture</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Texture.html#2598c4e24ba37ce5f82393be82aeddc6">mSrcFormat</a></td><td><a class="el" href="classOgre_1_1Texture.html">Ogre::Texture</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Texture.html#e724845657658ff3165d9597c1fad1db">mSrcHeight</a></td><td><a class="el" href="classOgre_1_1Texture.html">Ogre::Texture</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Texture.html#a15877330d8c2ce5b6cf6715937f2b12">mSrcWidth</a></td><td><a class="el" href="classOgre_1_1Texture.html">Ogre::Texture</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Texture.html#ab3add1d83300d2518d4ae9864c32651">mTextureType</a></td><td><a class="el" href="classOgre_1_1Texture.html">Ogre::Texture</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Texture.html#a922f905790cc650b2761caa2e28e51e">mTreatLuminanceAsAlpha</a></td><td><a class="el" href="classOgre_1_1Texture.html">Ogre::Texture</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Texture.html#e3c39759ac6bea7faa7c60d3994927a4">mUsage</a></td><td><a class="el" href="classOgre_1_1Texture.html">Ogre::Texture</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Texture.html#1619297beb23828218b26ce18362a984">mWidth</a></td><td><a class="el" href="classOgre_1_1Texture.html">Ogre::Texture</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#0ac4960f2e4969be70ded84e35c7728d">postLoadImpl</a>(void)</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#b0e94a1f17f20b3e3c6f3cf4a5aa8096">postUnloadImpl</a>(void)</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#c21645684d207f29513228e061dec765">preLoadImpl</a>(void)</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#318dc51074007c20d68db9b40c70da08">preUnloadImpl</a>(void)</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#9921da2e3e8247f469d7cac832c2dfa9">queueFireBackgroundLoadingComplete</a>(void)</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#b7a0b8de3a7e4d20fcfd84da41ac450e">reload</a>(void)</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#2cc39b7ae56b8137edd6c5a55519cfac">removeListener</a>(Listener *lis)</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#f16d869fa1c3671447a1e22ae6228242">Resource</a>()</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#03c52d5285092f0a5d21ad83a0643814">Resource</a>(ResourceManager *creator, const String &amp;name, ResourceHandle handle, const String &amp;group, bool isManual=false, ManualResourceLoader *loader=0)</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#126372a71844bda74011ccd5088f706c">setBackgroundLoaded</a>(bool bl)</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Texture.html#fd7eb62399bd48b21f6763eba94ab28d">setDepth</a>(size_t d)</td><td><a class="el" href="classOgre_1_1Texture.html">Ogre::Texture</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Texture.html#e67e44696cde3c7d4e8fec157ca4f498">setDesiredBitDepths</a>(ushort integerBits, ushort floatBits)</td><td><a class="el" href="classOgre_1_1Texture.html">Ogre::Texture</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Texture.html#a38c4f67ab5413135d1830dd164a68e6">setDesiredFloatBitDepth</a>(ushort bits)</td><td><a class="el" href="classOgre_1_1Texture.html">Ogre::Texture</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Texture.html#2ee26937110dfbd80a5419b1e14fe619">setDesiredIntegerBitDepth</a>(ushort bits)</td><td><a class="el" href="classOgre_1_1Texture.html">Ogre::Texture</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Texture.html#f745587ede1e8482b1edac167fbf82fd">setFormat</a>(PixelFormat pf)</td><td><a class="el" href="classOgre_1_1Texture.html">Ogre::Texture</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Texture.html#34a2cf25885b2d6f16adc1dbd7275e09">setGamma</a>(float g)</td><td><a class="el" href="classOgre_1_1Texture.html">Ogre::Texture</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Texture.html#b4f95c16ba72153a00a3422289099296">setHeight</a>(size_t h)</td><td><a class="el" href="classOgre_1_1Texture.html">Ogre::Texture</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Texture.html#3cd584d5e1b9bbd1eb665303f9fca7ee">setNumMipmaps</a>(size_t num)</td><td><a class="el" href="classOgre_1_1Texture.html">Ogre::Texture</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#ce884b65b722ead9b920b9abf27bf815">setParameter</a>(const String &amp;name, const String &amp;value)</td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#e356913ccefbebc4f0119a0599a406fc">setParameterList</a>(const NameValuePairList &amp;paramList)</td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Texture.html#99ab7ce9aba371bab2f04fe1eebe6f26">setTextureType</a>(TextureType ttype)</td><td><a class="el" href="classOgre_1_1Texture.html">Ogre::Texture</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Texture.html#a561d8d03383bb59ecce5c4278ed8da6">setTreatLuminanceAsAlpha</a>(bool asAlpha)</td><td><a class="el" href="classOgre_1_1Texture.html">Ogre::Texture</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Texture.html#04969ca1d25bf40e71e907f2cdb7443b">setUsage</a>(int u)</td><td><a class="el" href="classOgre_1_1Texture.html">Ogre::Texture</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Texture.html#b966147d746a969aa80a0ae71d6fb0e2">setWidth</a>(size_t w)</td><td><a class="el" href="classOgre_1_1Texture.html">Ogre::Texture</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Texture.html#2624f89d5e9e5d645380fce79836b54f">Texture</a>(ResourceManager *creator, const String &amp;name, ResourceHandle handle, const String &amp;group, bool isManual=false, ManualResourceLoader *loader=0)</td><td><a class="el" href="classOgre_1_1Texture.html">Ogre::Texture</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#e229b1f58092109adef55bfc6f864d79">touch</a>(void)</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a31bef1bfaa87731622e56f11b548e27">unload</a>(void)</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Texture.html#50595e11d3256b89d4de09d321dfd17c">unloadImpl</a>(void)</td><td><a class="el" href="classOgre_1_1Texture.html">Ogre::Texture</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#089562812828920fe1d1a371acf393e7">~Resource</a>()</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#a86a8941e57b203088797a4b28da8c4d">~StringInterface</a>()</td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td><code> [virtual]</code></td></tr>
</table><hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:54:44 2008
</p>
</body>
</html>
